{
  "custom": {},
  "params": {
    "Title": "value",
    "data": "value"
  },
  "propConfig": {
    "params.Title": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.data": {
      "onChange": {
        "enabled": null,
        "script": "\tds \u003d currentValue.value\n\tif ds.getColumnCount() \u003e 1:\n\t\t\n\t\tytitle \u003d ds.getColumnName(0)\n\t\txtitle \u003d ds.getColumnName(1)\n\t\tchart \u003d self.getChild(\"root\").getChild(\"XYChart\")\n\t\t\n\t\tchart.props.xAxes[0].name \u003d \u0027value\u0027\n\t\tchart.props.yAxes[0].name \u003d \u0027category\u0027\n\t\tchart.props.series[0].name \u003d \u0027results\u0027\n\t\tchart.props.series[0].data.source \u003d \u0027data\u0027\n\t\t\n\t\tchart.props.series[0].data.x \u003d xtitle\n\t\tchart.props.series[0].data.y \u003d ytitle\n\t\t\n\t\tchart.props.series[0].xAxis \u003d \u0027value\u0027\n\t\tchart.props.series[0].yAxis \u003d \u0027category\u0027\n\t\t\n\t\tdata \u003d []\n\t\tfor row in range(ds.getRowCount()):\n\t\t\tdata.append({xtitle:ds.getValueAt(row,1),ytitle:ds.getValueAt(row,0)})\n\t\t\n\t\tchart.props.dataSources.data \u003d data"
      },
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 507,
      "width": 624
    }
  },
  "root": {
    "children": [
      {
        "meta": {
          "name": "XYChart"
        },
        "position": {
          "basis": "375px",
          "grow": 1
        },
        "propConfig": {
          "props.dataSources.downtimes": {
            "persistent": false
          },
          "props.title.text": {
            "binding": {
              "config": {
                "path": "view.params.Title"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "background": {
            "color": "#C0C0C000"
          },
          "dataSources": {},
          "legend": {
            "enabled": false
          },
          "style": {
            "fontFamily": "Roboto",
            "fontSize": ".5 em",
            "textTransform": "none",
            "whiteSpace": "nowrap"
          },
          "subtitle": {
            "appearance": {
              "font": {
                "weight": 100
              }
            }
          },
          "title": {
            "appearance": {
              "font": {
                "size": 15,
                "weight": 600
              }
            }
          },
          "xAxes": [
            {
              "appearance": {
                "font": {
                  "size": 10,
                  "weight": 150
                },
                "grid": {
                  "color": "",
                  "dashArray": "",
                  "minDistance": 10,
                  "opacity": 0,
                  "position": 0.5
                },
                "inside": false,
                "labels": {
                  "color": "#928F8F",
                  "horizontalCenter": "middle",
                  "opacity": 0,
                  "rotation": 20,
                  "verticalCenter": "middle"
                },
                "opposite": false
              },
              "category": {
                "break": {
                  "enabled": false,
                  "endCategory": "",
                  "size": 0.05,
                  "startCategory": ""
                }
              },
              "date": {
                "baseInterval": {
                  "count": 1,
                  "enabled": false,
                  "skipEmptyPeriods": false,
                  "timeUnit": "hour"
                },
                "break": {
                  "enabled": false,
                  "endDate": "",
                  "size": 0.05,
                  "startDate": ""
                },
                "format": "M/d/yyyy HH:mm:ss",
                "inputFormat": "yyyy-MM-dd kk:mm:ss",
                "range": {
                  "max": "",
                  "min": "",
                  "useStrict": false
                }
              },
              "inversed": false,
              "label": {
                "color": "",
                "enabled": false,
                "text": "Reason"
              },
              "name": "reason",
              "render": "value",
              "tooltip": {
                "background": {
                  "color": "",
                  "opacity": 1
                },
                "cornerRadius": 3,
                "enabled": false,
                "pointerLength": 4,
                "text": ""
              },
              "value": {
                "break": {
                  "enabled": false,
                  "endValue": 0,
                  "size": 0,
                  "startValue": 0
                },
                "format": "#,###.##",
                "logarithmic": false,
                "range": {
                  "max": "",
                  "min": "",
                  "useStrict": false
                }
              },
              "visible": true
            }
          ],
          "yAxes": [
            {
              "appearance": {
                "font": {
                  "size": "6 px",
                  "weight": 400
                },
                "grid": {
                  "color": "",
                  "dashArray": "",
                  "minDistance": null,
                  "opacity": 0,
                  "position": 0.5
                },
                "inside": false,
                "labels": {
                  "color": "",
                  "horizontalCenter": "middle",
                  "opacity": 1,
                  "rotation": 0,
                  "verticalCenter": "middle"
                },
                "opposite": false
              },
              "category": {
                "break": {
                  "enabled": false,
                  "endCategory": "",
                  "size": 0.05,
                  "startCategory": ""
                }
              },
              "date": {
                "baseInterval": {
                  "count": 1,
                  "enabled": false,
                  "skipEmptyPeriods": false,
                  "timeUnit": "hour"
                },
                "break": {
                  "enabled": false,
                  "endDate": "",
                  "size": 0.05,
                  "startDate": ""
                },
                "format": "M/d/yyyy HH:mm:ss",
                "inputFormat": "yyyy-MM-dd kk:mm:ss",
                "range": {
                  "max": "",
                  "min": "",
                  "useStrict": false
                }
              },
              "inversed": false,
              "label": {
                "color": "",
                "enabled": false,
                "text": "Minutes"
              },
              "name": "duration",
              "render": "category",
              "tooltip": {
                "background": {
                  "color": "",
                  "opacity": 1
                },
                "cornerRadius": 3,
                "enabled": true,
                "pointerLength": 4,
                "text": ""
              },
              "value": {
                "break": {
                  "enabled": false,
                  "endValue": 100,
                  "size": 0.05,
                  "startValue": 0
                },
                "format": "#,###.##",
                "logarithmic": false,
                "range": {
                  "max": "",
                  "min": "",
                  "useStrict": false
                }
              },
              "visible": true
            }
          ]
        },
        "type": "ia.chart.xy"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}